﻿using System;
using System.Windows.Forms;

namespace ExternalVariablesDemoCS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            var workbook = fpSpread1.AsWorkbook();
            var activeSheet = workbook.ActiveSheet;
            activeSheet.Cells["A1"].Value = "Factor";
            activeSheet.Cells["B1"].Value = 2;

            // Adding Ext. Variable - x referring to textbox1
            workbook.Names.AddExternalVariable("x",
            new TextBoxExternalVariable(textBox1, true));

            // Adding Ext. Variable "y" referring to textbox2 with formula "Sheet1!B1 * x"
            var extVariable2 = new TextBoxExternalVariable(textBox2, false);
            workbook.Names.AddExternalVariable("y", extVariable2, "Sheet1!B1 * x");
            extVariable2.Refresh();
        }
    }
}
